petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSTrajectorySetFromOptions

Sets various TSTrajectory parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetFromOptions(TSTrajectory ts)

Collective on TSTrajectory

### Input Parameter

ts -the TSTrajectory context obtained from TSTrajectoryCreate()

### Options Database Keys

-tstrajectory_type <type> -TSTRAJECTORYBASIC

Notes: This is not normally called directly by users, instead it is called by TSSetFromOptions() after a call to TSSetSaveTrajectory()

### Keywords

TS, timestep, set, options, database

### See Also

TSGetType(), TSSetSaveTrajectory(), TSGetTrajectory()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages